=== python/CMakeLists.txt ===
add_subdirectory(wavelets)
if(tests)
  add_subdirectory(tests)
endif()
