=== python/tests/CMakeLists.txt ===
add_pytest(test_*.py)
