=== cpp/examples/proximal_admm/CMakeLists.txt ===
add_example(padmm_euclidian_norm euclidian_norm.cc LIBRARIES sopt LABELS padmm)
set_target_properties(example_padmm_euclidian_norm PROPERTIES OUTPUT_NAME euclidian_norm)
add_example(padmm_inpainting inpainting.cc LIBRARIES sopt tools_for_tests)
set_target_properties(example_padmm_inpainting PROPERTIES OUTPUT_NAME inpainting)
add_example(padmm_reweighted reweighted.cc LIBRARIES sopt tools_for_tests)
set_target_properties(example_padmm_reweighted PROPERTIES OUTPUT_NAME reweighted)
