=== cpp/examples/sdmm/CMakeLists.txt ===
add_example(euclidian_norm LIBRARIES sopt LABELS sdmm)
add_example(inpainting LIBRARIES sopt tools_for_tests LABELS sdmm)
add_example(reweighted LIBRARIES sopt tools_for_tests LABELS sdmm)
