=== debian/changelog ===
sopt (2.0.0-4) unstable; urgency=medium

  * Disable power_method test
  * Push Standards-Version to 4.1.3. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 30 Dec 2017 14:05:24 +0100

sopt (2.0.0-3) unstable; urgency=medium

  * Logging api changed. Disabling colors for now. (Closes: #884219)
  * Push Standards-Version to 4.1.2. Use https in all urls

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Dec 2017 21:27:02 +0100

sopt (2.0.0-2) unstable; urgency=low

  * Remove unneeded pandas dependency

 -- Ole Streicher <olebole@debian.org>  Wed, 07 Dec 2016 11:50:40 +0100

sopt (2.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #832659)

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Oct 2016 20:10:08 +0200
