=== debian/control ===
Source: sopt
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
Build-Depends: catch,
               cmake,
               cython,
               debhelper (>= 9),
               libblas-dev,
               libeigen3-dev,
               libspdlog-dev,
               libtiff5-dev,
               python,
               python-numpy,
               python-pytest,
               python-scipy,
	       python-setuptools
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sopt.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sopt.git
Homepage: https://basp-group.github.io/sopt/

Package: libsopt2.0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: Sparse OPTimisation shared library
 SOPT is a C package to perform Sparse OPTimisation.  It solves a
 variety of sparse regularisation problems, including the SARA
 algorithm.
 .
 SOPT is largely provided to support the PURIFY package, a companion
 open-source code to perform radio interferometric imaging, also
 written by the authors of SOPT.
 .
 This package contains the shared library.

Package: libsopt-dev
Architecture: any
Section: libdevel
Depends: libsopt2.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Development package for Sparse OPTimisation library
 SOPT is a C package to perform Sparse OPTimisation.  It solves a
 variety of sparse regularisation problems, including the SARA
 algorithm.
 .
 SOPT is largely provided to support the PURIFY package, a companion
 open-source code to perform radio interferometric imaging, also
 written by the authors of SOPT.
 .
 This package contains the development files.
