=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sopt-$1\.tar\.gz/ \
  https://github.com/basp-group/sopt/tags .*/v?(\d\S*)\.tar\.gz
