## sopt 3.0.1

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 configure_file(sopt/config.in.h "${PROJECT_BINARY_DIR}/include/sopt/config.h")
 
 add_subdirectory(sopt)
-if(regressions OR examples)
+if(regressions OR examples OR tests)
   # Tiff wrappers and whatnot
   add_subdirectory(tools_for_tests)
 endif()
@@ -36,3 +36,6 @@
 if(regressions)
   add_subdirectory(regressions)
 endif()
+if (docs)
+  add_subdirectory(docs)
+endif()
