=== cpp/examples/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 add_example(soft_threshhold LIBRARIES sopt LABELS proximals)
 add_example(conjugate_gradient LIBRARIES sopt)
 add_example(l1_proximal LIBRARIES sopt)
+add_example(power_method LIBRARIES sopt)
 
 add_subdirectory(sdmm)
 add_subdirectory(proximal_admm)
+add_subdirectory(primal_dual)
+add_subdirectory(forward_backward)
