=== cpp/examples/forward_backward/CMakeLists.txt ===
add_example(forward_backward_inpainting inpainting.cc LIBRARIES sopt tools_for_tests)
set_target_properties(example_forward_backward_inpainting PROPERTIES OUTPUT_NAME inpainting)
add_example(forward_backward_inpainting_joint_map inpainting_joint_map.cc LIBRARIES sopt tools_for_tests)
set_target_properties(example_forward_backward_inpainting_joint_map PROPERTIES OUTPUT_NAME inpainting_joint_map)
add_example(forward_backward_inpainting_credible_interval inpainting_credible_interval.cc LIBRARIES sopt tools_for_tests NOTEST)
set_target_properties(example_forward_backward_inpainting_credible_interval PROPERTIES OUTPUT_NAME inpainting_credible_interval)
