=== debian/changelog ===
sopt (3.0.1-11) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Add patch to fix FTBFS with spdlog (Closes: #975843)

  [ Ole Streicher ]
  * Fix e-mail address of uploader for 3.0.1-9
  * Push Standards-Version to 4.5.1. No changes needed
  * Push dh-compat to 13
  * Add "Rules-Requires-Root: no" to d/control
  * Use Expat short name instead MIT in d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 16 Dec 2020 10:00:24 +0100

sopt (3.0.1-10) unstable; urgency=medium

  * Disable mpi_proximals test

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Nov 2019 12:00:39 +0100

sopt (3.0.1-9) unstable; urgency=medium

  * Add libopenmpi-dev dependency to libsopt-dev (Closes: #943812)
    Keep the build dependency as well.

 -- Ole Streicher <olebole@debian.org>  Sun, 03 Nov 2019 14:27:10 +0100

sopt (3.0.1-8) unstable; urgency=medium

  * Add libopenmpi-dev build dependency

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Nov 2019 12:50:31 +0100

sopt (3.0.1-7) unstable; urgency=low

  * Add MPI support
  * Push Standards-Version to 4.4.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Oct 2019 10:17:37 +0200

sopt (3.0.1-6) unstable; urgency=low

  * Further increase tolerance for mips

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Sep 2019 13:30:09 +0200

sopt (3.0.1-5) unstable; urgency=low

  * Increase tolerance in test_proximal to fix FTBFS on mips

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Sep 2019 10:34:50 +0200

sopt (3.0.1-4) unstable; urgency=low

  * Fix FTBFS on i386

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Sep 2019 08:53:12 +0200

sopt (3.0.1-3) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix build/host confusion (Closes: #941037)

  [ Ole Streicher ]
  * Mark shared lib as Multi-Arch:same

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Sep 2019 10:14:38 +0200

sopt (3.0.1-2) unstable; urgency=low

  * Switch to unstable to start transition
  * Fix test_credible_region on i386

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Sep 2019 11:30:50 +0200

sopt (3.0.1-1) experimental; urgency=medium

  * Update github organization name
  * Remove unused Python build dependencies (Closes: #938514)
  * Push Standards-Version to 4.4.0. No changes needed.
  * Push compat to 12. Remove d/compat
  * Add gitlab-ci.yml for salsa
  * New upstream version 3.0.1. Rediff patches
  * Update SOVERSION. Switch to experimental to prepare transition.

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 12:25:00 +0200

sopt (2.0.0-5) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * Add spdlog header (Closes: #909765)
  * Push Standards-Version to 4.2.1. No changes needed
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Sep 2018 10:42:13 +0200
