=== debian/control ===
--- 
+++ 
@@ -5,24 +5,22 @@
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: catch,
                cmake,
-               cython,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
                libblas-dev,
                libeigen3-dev,
+               libopenmpi-dev,
                libspdlog-dev,
                libtiff5-dev,
-               python,
-               python-numpy,
-               python-pytest,
-               python-scipy,
-	       python-setuptools
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/sopt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/sopt.git
-Homepage: https://basp-group.github.io/sopt/
+               mpi-default-dev
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian-astro-team/sopt.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/sopt
+Homepage: https://astro-informatics.github.io/sopt/
+Rules-Requires-Root: no
 
-Package: libsopt2.0
+Package: libsopt3.0
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
 Description: Sparse OPTimisation shared library
@@ -39,7 +37,10 @@
 Package: libsopt-dev
 Architecture: any
 Section: libdevel
-Depends: libsopt2.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libopenmpi-dev,
+         libsopt3.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Development package for Sparse OPTimisation library
  SOPT is a C package to perform Sparse OPTimisation.  It solves a
  variety of sparse regularisation problems, including the SARA
