=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CMAKE_FLAGS += -DDEB_HOST_MULTIARCH=`dpkg-architecture -qDEB_HOST_MULTIARCH`

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)
