=== cpp/benchmarks/CMakeLists.txt ===
add_benchmark(wavelets LIBRARIES sopt)
add_benchmark(conjugate_gradient LIBRARIES sopt)
add_benchmark(l1_proximal LIBRARIES sopt)
