=== cpp/regressions/CMakeLists.txt ===
add_regression(sdmm_inpainting LABELS sdmm LIBRARIES tools_for_tests sopt)
add_regression(l1_proximal LABELS sdmm LIBRARIES sopt tools_for_tests sopt)
add_regression(padmm_inpainting LABELS sdmm LIBRARIES tools_for_tests sopt)
add_regression(reweighted_sdmm LABELS sdmm LIBRARIES tools_for_tests sopt)
