=== debian/changelog ===
sopt (3.0.1+dfsg-1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Add workaround for fmtlib 9 (Closes: #1014685)

  [ Ole Streicher ]
  * Exclude matplotlib files from upstream distribution
  * Adjusted upstream version 3.0.1+dfsg
  * Push Standards-Version to 4.6.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 05 Aug 2022 11:44:04 +0200
