=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: sopt
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Gijs Molenaar <gijs@pythonic.nl>,
+           Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: catch,
                cmake,
                debhelper-compat (= 13),
@@ -12,17 +13,18 @@
                libspdlog-dev,
                libtiff5-dev,
                mpi-default-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/sopt
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sopt.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/sopt
 Homepage: https://astro-informatics.github.io/sopt/
 Rules-Requires-Root: no
 
 Package: libsopt3.0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Sparse OPTimisation shared library
  SOPT is a C package to perform Sparse OPTimisation.  It solves a
  variety of sparse regularisation problems, including the SARA
