=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sopt-$1\.tar\.gz/ \
  https://github.com/astro-informatics/sopt/tags .*/v?(\d\S*)\.tar\.gz
