=== cpp/examples/forward_backward/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 add_example(forward_backward_inpainting inpainting.cc LIBRARIES sopt tools_for_tests)
 set_target_properties(example_forward_backward_inpainting PROPERTIES OUTPUT_NAME inpainting)
+add_example(forward_backward_l2_inpainting l2_inpainting.cc LIBRARIES sopt tools_for_tests)
+set_target_properties(example_forward_backward_l2_inpainting PROPERTIES OUTPUT_NAME l2_inpainting)
 add_example(forward_backward_inpainting_joint_map inpainting_joint_map.cc LIBRARIES sopt tools_for_tests)
 set_target_properties(example_forward_backward_inpainting_joint_map PROPERTIES OUTPUT_NAME inpainting_joint_map)
 add_example(forward_backward_inpainting_credible_interval inpainting_credible_interval.cc LIBRARIES sopt tools_for_tests NOTEST)
