=== cpp/examples/primal_dual/CMakeLists.txt ===
add_example(pd_inpainting inpainting.cc LIBRARIES sopt tools_for_tests LABELS pd)
set_target_properties(example_pd_inpainting PROPERTIES OUTPUT_NAME inpainting)
add_example(pd_tv_inpainting tv_inpainting.cc LIBRARIES sopt tools_for_tests LABELS pd)
set_target_properties(example_pd_tv_inpainting PROPERTIES OUTPUT_NAME tv_inpainting)
