=== debian/changelog ===
sopt (4.1.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Only depend on default mpi implementation (Closes: #1086913)

 -- Bastian Germann <bage@debian.org>  Tue, 26 Nov 2024 17:14:42 +0000

sopt (4.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.0+dfsg
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed
  * Setters can't be const (Closes: #1075526)
  * Disable tests that run too long

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Sep 2024 15:58:17 +0200

sopt (3.0.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062914

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 17:08:44 +0000

sopt (3.0.1+dfsg-3) unstable; urgency=medium

  * Disable communicator MPI test (fails on mips64el) (Closes: #1043377)

 -- Ole Streicher <olebole@debian.org>  Sun, 20 Aug 2023 14:59:30 +0200

sopt (3.0.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Patch: Add the missing #include <cstdint> (Closes: #1037862)

 -- Bastian Germann <bage@debian.org>  Wed, 09 Aug 2023 16:57:48 +0200
